<?php

class DotNetFramework
{
  public $path;
  public $version;
  public $csc;
  
  public function __construct($path)
  {
    $this->path = realpath($path);
    $this->version = basename($this->path);
    $this->csc = pathCombine($this->path, "csc.exe");
    if(fileExists($this->csc))
      $this->csc = realpath($this->csc);
    else 
      $this->csc = null;
  }
  
  public function hasCompiler()
  {
    return fileExists($this->csc);
  }
  
  public function compile($filename, array $args = array())
  {
    
  }
  
  public function __toString()
  {
    return $this->version;
  }
}
